Bug 146543 - gdb internal error
gdb internal error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-29 08:25 EST by Anthony Green
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version: gdb-6.3.0.0-1.122
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 10:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2005-01-29 08:25:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Trying to debug GCC's cvs HEAD version of gij which was built with the
FC3 system compiler looks like:

$ gdb gij
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging
symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".

(gdb) b main
Breakpoint 1 at 0x8048418
(gdb) run
Starting program: /home/green/FSF/i/bin/gij 
Breakpoint 1 at 0xeaa8ca: file ../../../gcc/libjava/gij.cc, line 56.
/usr/src/build/475318-i386/BUILD/gdb+dejagnu-20040607/gdb/dwarf2read.c:5000:
internal-error: could not find partial DIE in cache

A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) y

/usr/src/build/475318-i386/BUILD/gdb+dejagnu-20040607/gdb/dwarf2read.c:5000:
internal-error: could not find partial DIE in cache

A problem internal to GDB has been detected,
further debugging may prove unreliable.
Create a core file of GDB? (y or n) n


Version-Release number of selected component (if applicable):
gdb-6.1post-1.20040607.43

How reproducible:
Always

Steps to Reproduce:
1.Build GCC 
2.gdb gij
3.
    

Additional info:
Comment 1 Tom Duffy 2005-04-14 14:49:13 EDT
I get this same error trying to debug a crash in epiphany.  I am running 64-bit
as well.

[tduffy@duffman ~]$ rpm -q gdb
gdb-6.3.0.0-1.12

[tduffy@duffman ~]$ gdb epiphany
GNU gdb Red Hat Linux (6.3.0.0-1.12rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...Using host libthread_db
library "/lib64/libthread_db.so.1".

(gdb) run
Starting program: /usr/bin/epiphany
[Thread debugging using libthread_db enabled]
[New Thread 46912501948896 (LWP 3936)]
../../gdb-6.3/gdb/dwarf2read.c:5446: internal-error: could not find partial DIE
in cache

A problem internal to GDB has been detected,
further debugging may prove unreliable.
Quit this debugging session? (y or n) n

../../gdb-6.3/gdb/dwarf2read.c:5446: internal-error: could not find partial DIE
in cache

A problem internal to GDB has been detected,
further debugging may prove unreliable.
Create a core file of GDB? (y or n) n
[New Thread 1084229984 (LWP 4038)]

Detaching after fork from child process 4041.
[New Thread 1094719840 (LWP 4043)]

Program received signal SIG33, Real-time event 33.
[Switching to Thread 1094719840 (LWP 4043)]
0x0000003ac7908ae7 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
(gdb) run
The program being debugged has been started already.
Start it from the beginning? (y or n) n
Program not restarted.
(gdb) quit
The program is running.  Exit anyway? (y or n) y

Comment 2 Matthew Miller 2006-07-10 18:35:21 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Jan Kratochvil 2006-07-24 06:51:27 EDT
Not reproducible - on FC5 gdb-6.3.0.0-1.122 .
Comment 4 Anthony Green 2007-10-09 10:38:13 EDT
(In reply to comment #3)
> Not reproducible - on FC5 gdb-6.3.0.0-1.122 .
> 

Ok, I'm closing this.

Note You need to log in before you can comment on or make changes to this bug.